nvme_get_nsid(2)

NAME
nvme_get_nsid - Retrieve the NSID from a namespace file descriptor

SYNOPSIS
int nvme_get_nsid (int fd , __u32 *nsid );

ARGUMENTS

fd  File descriptor of nvme namespace

nsid
    User pointer to namespace id

DESCRIPTION
This should only be sent to namespace handles, not to controllers. The kernel's interface returns the nsid as the return value. This is unfortunate for many architectures that are incapable of allowing distinguishing a namespace id > 0x80000000 from a negative error number.

RETURN
0 if nsid was set successfully or -1 with errno set otherwise.